---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# Discount

A discount can be applied to a cart for promotional purposes.

## constructor

A discount can be applied to a cart for promotional purposes.

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "code",
    "type": "`string`",
    "description": "The code that a Discount is identifed by.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
